Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.configuration
Class SAXNestedTagHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.cayenne.configuration.SAXNestedTagHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class SAXNestedTagHandler

extends org.xml.sax.helpers.DefaultHandler

A superclass of nested tag handlers for parsing of XML documents with SAX.

Since:
  3.1

Field Summary
`protected org.xml.sax.Locator` | `locator`
`protected org.xml.sax.ContentHandler` | `parentHandler`
`protected org.xml.sax.XMLReader` | `parser`

Constructor Summary
`SAXNestedTagHandler(org.xml.sax.XMLReader parser, SAXNestedTagHandler parentHandler)`

Method Summary
`protected org.xml.sax.ContentHandler` | `createChildTagHandler(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)`
`void` | `setDocumentLocator(org.xml.sax.Locator locator)`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`
`protected void` | `stop()`
`protected java.lang.String` | `unexpectedTagMessage(java.lang.String tagFound, java.lang.String... tagsExpected)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parser

    protected org.xml.sax.XMLReader parser

### parentHandler

    protected org.xml.sax.ContentHandler parentHandler

### locator

    protected org.xml.sax.Locator locator

Constructor Detail

### SAXNestedTagHandler

    public SAXNestedTagHandler(org.xml.sax.XMLReader parser,
                               SAXNestedTagHandler parentHandler)

Method Detail

### unexpectedTagMessage

    protected java.lang.String unexpectedTagMessage(java.lang.String tagFound,
                                                    java.lang.String... tagsExpected)

### createChildTagHandler

    protected org.xml.sax.ContentHandler createChildTagHandler(java.lang.String namespaceURI,
                                                               java.lang.String localName,
                                                               java.lang.String qName,
                                                               org.xml.sax.Attributes attributes)

### stop

    protected void stop()

### startElement

    public final void startElement(java.lang.String namespaceURI,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   org.xml.sax.Attributes attributes)
                            throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `setDocumentLocator` in class `org.xml.sax.helpers.DefaultHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.